    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.interfaces.DSAPrivateKey

public interface DSAPrivateKey
extends DSAKey, PrivateKey

The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  Key, Signature, DSAKey, DSAPublicKey

##

getX()
  Returns the value of the private key, `x`.

##

getX

     public abstract BigInteger getX()

  Returns the value of the private key, `x`.

  Returns:
    the value of the private key, `x`.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.